Bug 217312 - IPv6 stateful configuration not used receiving 'AdvManagedFlag: on'
IPv6 stateful configuration not used receiving 'AdvManagedFlag: on'
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-26 17:48 EST by Matthew Booth
Modified: 2014-06-18 04:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-14 19:49:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2006-11-26 17:48:52 EST
Description of problem:
I have IPV6_AUTOCONF=yes specified in /etc/sysconfig/network-scripts/ifcfg-foo.
I have:

I have radvd configured to contain 'AdvManagedFlag: on':
[root@mbooth ~]# radvdump
Router advertisement from xxxx::xxxx:xxxx:xxxx:xxxx (hoplimit 255)
Received by interface eth0
        # Note: {Min,Max}RtrAdvInterval cannot be obtained with radvdump
        AdvCurHopLimit: 64
        AdvManagedFlag: on
        AdvOtherConfigFlag: on
        AdvHomeAgentFlag: off
        AdvReachableTime: 0
        AdvRetransTimer: 0
        Prefix xxxx:xxxx:xxxx:xxxx::/64
                AdvValidLifetime: 2592000
                AdvPreferredLifetime: 604800
                AdvOnLink: on
                AdvAutonomous: on
                AdvRouterAddr: off
        AdvSourceLLAddress: XX XX XX XX XX XX

I have dhcp6s configured correctly in this environment (I am currently using an
IPv6 address assigned by it). The machine correctly obtains an IP address in the
network specified by radvd. However, unless I add DHCPV6C=yes to ifcfg-foo,
which starts dhcp6c explicitly on the interface, the stateful protocol is never

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. As above
Actual results:
Machine obtains IP using stateless protocol, but ignores stateful (DHCPv6).

Expected results:
Machine obtains IP (and associated network info) using stateful autoconf (DHCPv6).
Comment 1 Thomas Graf 2008-06-14 06:13:15 EDT
Are you still experiencing this problem?
Comment 2 Matthew Booth 2008-06-14 18:11:43 EDT
No idea.
Comment 3 Thomas Graf 2008-06-14 19:49:45 EDT
The current upstream decision is to not invoke dhcpv6 if the managed flag is
set. The flag is ignored and a explicit call to a dhcp client is expected in the
if-up scripts to achieve stateful autoconf.

Therefore I'm closing this bug for now. We may back port this to RHEL5 if it
gets implemented upstream.

Note You need to log in before you can comment on or make changes to this bug.